Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » parallel programming with threads and tasks » setIOUnSynchronized
next | previous | forward | backward | up | index | toc

# setIOUnSynchronized -- unsynchronized I/O for threads

- Usage:
    `setIOUnSynchronized()`
    `setIOUnSynchronized f`
    `getIOThreadMode`
- Inputs:
  - f, a file,
- Consequences:
  - threads are permitted to use the file f, or if no file is given, stdio and stderr, in an unregulated manner

## See also

- parallel programming with threads and tasks
- setIOSynchronized -- synchronized I/O for threads
- setIOExclusive -- exclusive I/O for the current thread

## For the programmer

The object setIOUnSynchronized is a compiled function.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/ov_threads.m2:498:0.